> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wellwallet.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get exchange transaction list



## OpenAPI

````yaml /openapi.json get /exchange-transactions
openapi: 3.0.3
info:
  description: API documentation for Crypto service
  title: Crypto API
  version: 1.0.0
servers:
  - description: Development
    url: https://tag.alfa-bot.com/api/prod/v1
security:
  - apiKeyAuth: []
tags:
  - description: Methods for working with wallets
    name: Wallets
  - description: Methods related to users
    name: User
  - description: Methods for AML verification
    name: AML
  - description: Test methods
    name: Test
  - description: Methods for withdrawal funds
    name: Withdrawal
  - description: Methods for working with transactions
    name: Transactions
  - description: Methods for working with exchange transactions
    name: Exchange
paths:
  /exchange-transactions:
    get:
      tags:
        - Exchange
      summary: Get exchange transaction list
      operationId: getExchangeTransactions
      parameters:
        - in: query
          name: transaction_id
          schema:
            type: string
          description: Exchange transaction ID filter.
        - in: query
          name: limit
          schema:
            type: integer
            minimum: 1
            maximum: 300
            default: 100
          description: Pagination limit. Maximum value is 300. Default value is 100.
        - in: query
          name: network_from
          schema:
            type: string
            example: eth
          description: Source network filter. Use one of the supported network codes.
        - in: query
          name: network_to
          schema:
            type: string
            example: trx
          description: Destination network filter. Use one of the supported network codes.
        - in: query
          name: offset
          schema:
            type: integer
            minimum: 0
            default: 0
          description: Pagination offset. Must be greater than or equal to 0.
        - in: query
          name: status
          schema:
            type: string
            example: completed
          description: Exchange transaction status filter.
        - in: query
          name: currency_from
          schema:
            type: string
            example: USDC
          description: >-
            Source currency/token filter. Use one of the supported currency
            codes.
        - in: query
          name: currency_to
          schema:
            type: string
            example: USDT
          description: >-
            Destination currency/token filter. Use one of the supported currency
            codes.
        - in: query
          name: sort_direction
          schema:
            type: string
            enum:
              - asc
              - desc
          description: Sort direction.
        - in: query
          name: sort_by
          schema:
            type: string
            example: created_at
          description: Sort field.
        - in: query
          name: created_from
          schema:
            type: string
            format: date-time
          description: >-
            Start date filter in ISO 8601 format. Example:
            2025-05-01T00:00:19.662Z.
        - in: query
          name: created_to
          schema:
            type: string
            format: date-time
          description: >-
            End date filter in ISO 8601 format. Example:
            2025-05-01T00:00:19.662Z.
      responses:
        '200':
          description: OK - exchange transaction list was returned successfully
          content:
            application/json:
              schema:
                type: object
                required:
                  - code
                  - error_code
                  - error_message
                  - data
                properties:
                  code:
                    type: string
                    description: Response code.
                    example: '200'
                  error_code:
                    type: string
                    nullable: true
                    description: >-
                      Application-level error code. Null for successful
                      responses.
                    example: null
                  error_message:
                    type: string
                    nullable: true
                    description: >-
                      Human-readable error message. Null for successful
                      responses.
                    example: null
                  data:
                    $ref: '#/components/schemas/GetExchangeTransactionsResponse'
              examples:
                success:
                  summary: Exchange transaction list
                  value:
                    code: '200'
                    error_code: null
                    error_message: null
                    data:
                      count: 98
                      transactions:
                        - transaction_id: '596762840923'
                          network_to: trx
                          network_from: eth
                          currency_to: USDT
                          currency_from: USDC
                          status: completed
                          amount_from: 12
                          amount_to: 11.987
                          fee: 0.011
                          rate: 0.9999
                          created_at: '2026-05-02 15:10:25.922888'
                      result: success
        '400':
          description: Bad Request - validation error or incorrect request parameters
          content:
            application/json:
              schema:
                type: object
                required:
                  - code
                  - error_code
                  - error_message
                  - data
                properties:
                  code:
                    type: string
                    description: Response code.
                    example: '400'
                  error_code:
                    type: string
                    nullable: true
                    description: >-
                      Application-level error code. Null for successful
                      responses.
                    example: request
                  error_message:
                    type: string
                    nullable: true
                    description: >-
                      Human-readable error message. Null for successful
                      responses.
                    example: Validation failed
                  data:
                    type: object
                    nullable: true
                    description: Additional error details when available.
                    additionalProperties: true
              examples:
                validation_error:
                  summary: Validation error
                  value:
                    code: '400'
                    error_code: request
                    error_message: 'Validation failed: invalid filter or pagination parameters'
                    data:
                      created_from: Must be valid ISO 8601 date-time
                      created_to: Must be valid ISO 8601 date-time
                      limit: Maximum value is 300. Default value is 100
                      offset: Must be greater than or equal to 0
                      sort_direction: 'Allowed values: asc, desc'
        '500':
          description: Internal Server Error - unexpected server error
          content:
            application/json:
              schema:
                type: object
                required:
                  - code
                  - error_code
                  - error_message
                  - data
                properties:
                  code:
                    type: string
                    description: Response code.
                    example: '500'
                  error_code:
                    type: string
                    nullable: true
                    description: >-
                      Application-level error code. Null for successful
                      responses.
                    example: system
                  error_message:
                    type: string
                    nullable: true
                    description: >-
                      Human-readable error message. Null for successful
                      responses.
                    example: Validation failed
                  data:
                    type: object
                    nullable: true
                    description: Additional error details when available.
                    additionalProperties: true
              examples:
                internal_error:
                  summary: Internal server error
                  value:
                    code: '500'
                    error_code: system
                    error_message: Unexpected server error. Please try again later.
                    data: null
components:
  schemas:
    GetExchangeTransactionsResponse:
      type: object
      required:
        - count
        - transactions
        - result
      properties:
        count:
          type: integer
          description: Total number of exchange transactions matching the filters.
          example: 98
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/ExchangeTransactionListItem'
        result:
          type: string
          example: success
    ExchangeTransactionListItem:
      type: object
      required:
        - transaction_id
        - network_to
        - network_from
        - currency_to
        - currency_from
        - status
        - amount_from
        - amount_to
        - fee
        - rate
        - created_at
      properties:
        transaction_id:
          type: string
          description: Exchange transaction ID.
          example: '596762840923'
        network_to:
          type: string
          description: Destination blockchain network code.
          example: trx
        network_from:
          type: string
          description: Source blockchain network code.
          example: eth
        currency_to:
          type: string
          description: Destination currency/token code.
          example: USDT
        currency_from:
          type: string
          description: Source currency/token code.
          example: USDC
        status:
          type: string
          description: Exchange transaction status.
          example: completed
        amount_from:
          type: number
          description: Source amount.
          example: 12
        amount_to:
          type: number
          description: Destination amount.
          example: 11.987
        fee:
          type: number
          description: Client exchange fee.
          example: 0.011
        rate:
          type: number
          description: Exchange rate used for the transaction.
          example: 0.9999
        created_at:
          type: string
          description: Exchange transaction creation timestamp.
          example: '2026-05-02 15:10:25.922888'
  securitySchemes:
    apiKeyAuth:
      in: header
      name: token
      type: apiKey
      description: Pass your API token in the `token` request header.

````